---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1DA0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51020, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52F60, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53350, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x542F0, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54300, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50C90, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBE0, offset: 0xBE0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50C94, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBEB, offset: 0xBEB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50C98, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC30, offset: 0xC30, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50DE0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCA9, offset: 0xCA9, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50E98, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCC7, offset: 0xCC7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50E9C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCE0, offset: 0xCE0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50EA0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCF9, offset: 0xCF9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50EA4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD12, offset: 0xD12, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50EA8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92FC, offset: 0x92FC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50EB0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9385, offset: 0x9385, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50EC0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x939E, offset: 0x939E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50EC8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93B7, offset: 0x93B7, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50ED0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93D0, offset: 0x93D0, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50ED8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93E9, offset: 0x93E9, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50EE0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9403, offset: 0x9403, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50EE8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94E9, offset: 0x94E9, size: 0x8, addend: 0x0, symName: __ZL9obj_count, symObjAddr: 0x50F2C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x9502, offset: 0x9502, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50F30, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x951B, offset: 0x951B, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50F38, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9534, offset: 0x9534, size: 0x8, addend: 0x0, symName: __ZL11testedClass, symObjAddr: 0x50F80, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x954D, offset: 0x954D, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x50F88, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x959F, offset: 0x959F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xA20, symSize: 0x80 }
  - { offsetInCU: 0x9634, offset: 0x9634, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x970, symSize: 0xB0 }
  - { offsetInCU: 0x968F, offset: 0x968F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x870, symSize: 0x100 }
  - { offsetInCU: 0x9922, offset: 0x9922, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xAA0, symSize: 0xC0 }
  - { offsetInCU: 0x9974, offset: 0x9974, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB60, symSize: 0x220 }
  - { offsetInCU: 0x9B59, offset: 0x9B59, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xD80, symSize: 0xA0 }
  - { offsetInCU: 0x9C0C, offset: 0x9C0C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xE20, symSize: 0x110 }
  - { offsetInCU: 0x9D02, offset: 0x9D02, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xF30, symSize: 0x150 }
  - { offsetInCU: 0x9E5F, offset: 0x9E5F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1080, symSize: 0x30 }
  - { offsetInCU: 0x9F08, offset: 0x9F08, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x10B0, symSize: 0x150 }
  - { offsetInCU: 0xA100, offset: 0xA100, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1200, symSize: 0x160 }
  - { offsetInCU: 0xA3C0, offset: 0xA3C0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1360, symSize: 0x4A0 }
  - { offsetInCU: 0xA633, offset: 0xA633, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1800, symSize: 0x1B0 }
  - { offsetInCU: 0xA84E, offset: 0xA84E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x19B0, symSize: 0xA0 }
  - { offsetInCU: 0xA91D, offset: 0xA91D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1A50, symSize: 0x20 }
  - { offsetInCU: 0xA954, offset: 0xA954, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1A70, symSize: 0x20 }
  - { offsetInCU: 0xA98B, offset: 0xA98B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1A90, symSize: 0x20 }
  - { offsetInCU: 0xAAFA, offset: 0xAAFA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1AB0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE16, offset: 0xAE16, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1C50, symSize: 0x150 }
  - { offsetInCU: 0xAFD3, offset: 0xAFD3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2040, symSize: 0x1D0 }
  - { offsetInCU: 0xB2CF, offset: 0xB2CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2210, symSize: 0x80 }
  - { offsetInCU: 0xB398, offset: 0xB398, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2290, symSize: 0x6C0 }
  - { offsetInCU: 0xBF0E, offset: 0xBF0E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA430, symBinAddr: 0x3B30, symSize: 0xB0 }
  - { offsetInCU: 0xBF85, offset: 0xBF85, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2950, symSize: 0x70 }
  - { offsetInCU: 0xC085, offset: 0xC085, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x29C0, symSize: 0x3B0 }
  - { offsetInCU: 0xC4FD, offset: 0xC4FD, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2D70, symSize: 0xA0 }
  - { offsetInCU: 0xC5FC, offset: 0xC5FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2E10, symSize: 0x40 }
  - { offsetInCU: 0xC6F2, offset: 0xC6F2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2E50, symSize: 0x2B0 }
  - { offsetInCU: 0xCA98, offset: 0xCA98, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3100, symSize: 0xC0 }
  - { offsetInCU: 0xCBDE, offset: 0xCBDE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x31C0, symSize: 0x10 }
  - { offsetInCU: 0xCCA0, offset: 0xCCA0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x31D0, symSize: 0x240 }
  - { offsetInCU: 0xCF89, offset: 0xCF89, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3410, symSize: 0x10 }
  - { offsetInCU: 0xCFE6, offset: 0xCFE6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3420, symSize: 0x290 }
  - { offsetInCU: 0xD2D3, offset: 0xD2D3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FB0, symBinAddr: 0x36B0, symSize: 0x10 }
  - { offsetInCU: 0xD330, offset: 0xD330, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0x9FC0, symBinAddr: 0x36C0, symSize: 0x20 }
  - { offsetInCU: 0xD378, offset: 0xD378, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0x9FE0, symBinAddr: 0x36E0, symSize: 0x20 }
  - { offsetInCU: 0xD423, offset: 0xD423, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP02_ap02t001_throwException, symObjAddr: 0xA000, symBinAddr: 0x3700, symSize: 0x80 }
  - { offsetInCU: 0xD507, offset: 0xD507, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA080, symBinAddr: 0x3780, symSize: 0x3B0 }
  - { offsetInCU: 0xD96E, offset: 0xD96E, size: 0x8, addend: 0x0, symName: __ZL13runIterationsP9_jvmtiEnvP7_jclassi, symObjAddr: 0xA850, symBinAddr: 0x3F50, symSize: 0x2B7 }
  - { offsetInCU: 0xDC4B, offset: 0xDC4B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4E0, symBinAddr: 0x3BE0, symSize: 0x370 }
...
